package com.op.wms.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.op.common.core.annotation.Excel;
import com.op.common.core.web.domain.BaseEntity;

/**
 * 白胚出库单对象 ods_white_embryo
 *
 * @author Open Platform
 * @date 2023-07-06
 */
public class OdsWhiteEmbryo extends BaseEntity {
	private static final long serialVersionUID = 1L;

	/** 工厂编码 */
	@Excel(name = "工厂编码")
	private String siteCode;

	/** ID */
	private String ID;

	/** 出库单号 */
	@Excel(name = "出库单号")
	private String orderCode;

	/** 型号编码 */
	@Excel(name = "型号编码")
	private String materialCode;

	/** 型号名称 */
	@Excel(name = "型号名称")
	private String materialDesc;

	/** 计划日期 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	@Excel(name = "计划日期", width = 30, dateFormat = "yyyy-MM-dd")
	private Date planDate;

	/** 计划数量 */
	@Excel(name = "计划数量")
	private BigDecimal planNumber;

	/** 单位 */
	@Excel(name = "单位")
	private String Unit;

	/** 已出库数量 */
	@Excel(name = "已出库数量")
	private BigDecimal realityNumber;

	/** 订单状态 */
	@Excel(name = "订单状态")
	private String orderStatus;

	/** 批次号 */
	@Excel(name = "批次号")
	private String userDefined1;

	/** 产线名称 */
	@Excel(name = "产线名称")
	private String productionLineDesc;

	/** 产线编号 */
	@Excel(name = "产线编号")
	private String productionLineCode;

	/** 库位 */
	@Excel(name = "库位")
	private String locCode;

	/** 用户自定义属性2 */
	@Excel(name = "用户自定义属性2")
	private String userDefined2;

	/** 用户自定义属性3 */
	@Excel(name = "用户自定义属性3")
	private String userDefined3;

	/** 用户自定义属性4 */
	@Excel(name = "用户自定义属性4")
	private String userDefined4;

	/** 用户自定义属性5 */
	@Excel(name = "用户自定义属性5")
	private String userDefined5;

	/** 用户自定义属性6 */
	@Excel(name = "用户自定义属性6")
	private String userDefined6;

	/** 用户自定义属性7 */
	@Excel(name = "用户自定义属性7")
	private String userDefined7;

	/** 用户自定义属性8 */
	@Excel(name = "用户自定义属性8")
	private String userDefined8;

	/** 用户自定义属性9 */
	@Excel(name = "用户自定义属性9")
	private String userDefined9;

	/** 用户自定义属性10 */
	@Excel(name = "用户自定义属性10")
	private String userDefined10;

	/** 用户自定义属性11 */
	@Excel(name = "用户自定义属性11")
	private String userDefined11;

	/** 供应商编码 */
	@Excel(name = "供应商编码")
	private String supplierCode;

	/** 供应商名称 */
	@Excel(name = "供应商名称")
	private String supplierName;

	/** 创建时间 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	@Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
	private Date createDate;

	/** 最后更新人 */
	@Excel(name = "最后更新人")
	private String lastUpdateBy;

	/** 最后更新时间 */
	@JsonFormat(pattern = "yyyy-MM-dd")
	@Excel(name = "最后更新时间", width = 30, dateFormat = "yyyy-MM-dd")
	private Date lastUpdateDate;

	/** 可用标识 */
	@Excel(name = "可用标识")
	private String Active;

	/** 企业主键 */
	@Excel(name = "企业主键")
	private String enterpriseId;

	/** 企业编码 */
	@Excel(name = "企业编码")
	private String enterpriseCode;

	public void setSiteCode(String siteCode) {
		this.siteCode = siteCode;
	}

	public String getSiteCode() {
		return siteCode;
	}
	public void setID(String ID) {
		this.ID = ID;
	}

	public String getID() {
		return ID;
	}
	public void setOrderCode(String orderCode) {
		this.orderCode = orderCode;
	}

	public String getOrderCode() {
		return orderCode;
	}
	public void setMaterialCode(String materialCode) {
		this.materialCode = materialCode;
	}

	public String getMaterialCode() {
		return materialCode;
	}
	public void setMaterialDesc(String materialDesc) {
		this.materialDesc = materialDesc;
	}

	public String getMaterialDesc() {
		return materialDesc;
	}
	public void setPlanDate(Date planDate) {
		this.planDate = planDate;
	}

	public Date getPlanDate() {
		return planDate;
	}
	public void setPlanNumber(BigDecimal planNumber) {
		this.planNumber = planNumber;
	}

	public BigDecimal getPlanNumber() {
		return planNumber;
	}
	public void setUnit(String Unit) {
		this.Unit = Unit;
	}

	public String getUnit() {
		return Unit;
	}
	public void setRealityNumber(BigDecimal realityNumber) {
		this.realityNumber = realityNumber;
	}

	public BigDecimal getRealityNumber() {
		return realityNumber;
	}
	public void setOrderStatus(String orderStatus) {
		this.orderStatus = orderStatus;
	}

	public String getOrderStatus() {
		return orderStatus;
	}
	public void setUserDefined1(String userDefined1) {
		this.userDefined1 = userDefined1;
	}

	public String getUserDefined1() {
		return userDefined1;
	}
	public void setProductionLineDesc(String productionLineDesc) {
		this.productionLineDesc = productionLineDesc;
	}

	public String getProductionLineDesc() {
		return productionLineDesc;
	}
	public void setProductionLineCode(String productionLineCode) {
		this.productionLineCode = productionLineCode;
	}

	public String getProductionLineCode() {
		return productionLineCode;
	}
	public void setLocCode(String locCode) {
		this.locCode = locCode;
	}

	public String getLocCode() {
		return locCode;
	}
	public void setUserDefined2(String userDefined2) {
		this.userDefined2 = userDefined2;
	}

	public String getUserDefined2() {
		return userDefined2;
	}
	public void setUserDefined3(String userDefined3) {
		this.userDefined3 = userDefined3;
	}

	public String getUserDefined3() {
		return userDefined3;
	}
	public void setUserDefined4(String userDefined4) {
		this.userDefined4 = userDefined4;
	}

	public String getUserDefined4() {
		return userDefined4;
	}
	public void setUserDefined5(String userDefined5) {
		this.userDefined5 = userDefined5;
	}

	public String getUserDefined5() {
		return userDefined5;
	}
	public void setUserDefined6(String userDefined6) {
		this.userDefined6 = userDefined6;
	}

	public String getUserDefined6() {
		return userDefined6;
	}
	public void setUserDefined7(String userDefined7) {
		this.userDefined7 = userDefined7;
	}

	public String getUserDefined7() {
		return userDefined7;
	}
	public void setUserDefined8(String userDefined8) {
		this.userDefined8 = userDefined8;
	}

	public String getUserDefined8() {
		return userDefined8;
	}
	public void setUserDefined9(String userDefined9) {
		this.userDefined9 = userDefined9;
	}

	public String getUserDefined9() {
		return userDefined9;
	}
	public void setUserDefined10(String userDefined10) {
		this.userDefined10 = userDefined10;
	}

	public String getUserDefined10() {
		return userDefined10;
	}
	public void setUserDefined11(String userDefined11) {
		this.userDefined11 = userDefined11;
	}

	public String getUserDefined11() {
		return userDefined11;
	}
	public void setSupplierCode(String supplierCode) {
		this.supplierCode = supplierCode;
	}

	public String getSupplierCode() {
		return supplierCode;
	}
	public void setSupplierName(String supplierName) {
		this.supplierName = supplierName;
	}

	public String getSupplierName() {
		return supplierName;
	}
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}

	public Date getCreateDate() {
		return createDate;
	}
	public void setLastUpdateBy(String lastUpdateBy) {
		this.lastUpdateBy = lastUpdateBy;
	}

	public String getLastUpdateBy() {
		return lastUpdateBy;
	}
	public void setLastUpdateDate(Date lastUpdateDate) {
		this.lastUpdateDate = lastUpdateDate;
	}

	public Date getLastUpdateDate() {
		return lastUpdateDate;
	}
	public void setActive(String Active) {
		this.Active = Active;
	}

	public String getActive() {
		return Active;
	}
	public void setEnterpriseId(String enterpriseId) {
		this.enterpriseId = enterpriseId;
	}

	public String getEnterpriseId() {
		return enterpriseId;
	}
	public void setEnterpriseCode(String enterpriseCode) {
		this.enterpriseCode = enterpriseCode;
	}

	public String getEnterpriseCode() {
		return enterpriseCode;
	}
	private String Remark;
	public String getRemark() {
		return Remark;
	}

	public void setRemark(String Remark) {
		this.Remark = Remark;
	}
	@Override
	public String toString() {
		return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
			.append("siteCode", getSiteCode())
			.append("ID", getID())
			.append("orderCode", getOrderCode())
			.append("materialCode", getMaterialCode())
			.append("materialDesc", getMaterialDesc())
			.append("planDate", getPlanDate())
			.append("planNumber", getPlanNumber())
			.append("Unit", getUnit())
			.append("realityNumber", getRealityNumber())
			.append("orderStatus", getOrderStatus())
			.append("userDefined1", getUserDefined1())
			.append("productionLineDesc", getProductionLineDesc())
			.append("productionLineCode", getProductionLineCode())
			.append("locCode", getLocCode())
			.append("userDefined2", getUserDefined2())
			.append("userDefined3", getUserDefined3())
			.append("userDefined4", getUserDefined4())
			.append("userDefined5", getUserDefined5())
			.append("userDefined6", getUserDefined6())
			.append("userDefined7", getUserDefined7())
			.append("userDefined8", getUserDefined8())
			.append("userDefined9", getUserDefined9())
			.append("userDefined10", getUserDefined10())
			.append("userDefined11", getUserDefined11())
			.append("supplierCode", getSupplierCode())
			.append("supplierName", getSupplierName())
			.append("Remark", getRemark())
			.append("createBy", getCreateBy())
			.append("createDate", getCreateDate())
			.append("lastUpdateBy", getLastUpdateBy())
			.append("lastUpdateDate", getLastUpdateDate())
			.append("Active", getActive())
			.append("enterpriseId", getEnterpriseId())
			.append("enterpriseCode", getEnterpriseCode())
			.toString();
	}
}
